ccapi
🇺🇸English
  • 🇨🇳简体中文
  • 🇺🇸English
Home
Home
🇺🇸English
  • 🇨🇳简体中文
  • 🇺🇸English
🇺🇸English
  • 🇨🇳简体中文
  • 🇺🇸English
  1. OpenAI
  • OpenClaw + CCAPI LLM Integration Guide
  • claude code integration
  • codex cli integration
  • gemini cli integration
  • Chat
    • OpenAI
      • Create Chat Completion
        POST
      • Create Response
        POST
    • Google
      • Generate Content
      • Stream Generate Content
    • Anthropic
      • Create Message
    • DeepSeek
      • Create Chat Completion
    • MiniMax
      • Create Chat Completion
  • Image
    • nano banana
      • Generate Image
    • z-image-turbo
      • integration docs
    • seedream
      • integration doc
  • Video
    • seedance
    • vidu
  • Audio
    • Producer
      • Generate Music
      • Generate Lyrics
      • Extend Music
      • Create Cover
      • Create Variation
      • Replace Segment
      • Vocals Swap
      • Instrumentals Swap
      • Stem Separation
      • Download Audio
      • Upload Audio
      • Generate Video
      • Fetch Task Status
      • Batch Fetch Tasks
    • Suno
      • Generate Music
      • Fetch Task Status
      • Generate Lyrics
      • Extend Music
      • Create Cover
      • Extract Stems
      • Extract All Stems
      • Add Vocals
      • Add Instrumental
      • Replace Section
      • Remaster Song
      • Mashup
      • Sample Section
      • Generate Sounds
      • Generate MIDI
      • Upload Audio
      • Concatenate Music
      • Get Aligned Lyrics
      • Generate Music Video
      • Export as WAV
      • Create Voice Persona(unavailable)
      • Detect BPM
      • Extract Vocals
      • Upsample Tags
      • Batch Fetch Tasks
  1. OpenAI

Create Response

POST
https://api.ccapi.ai//v1/responses
Request models that support the OpenAI Responses format.
official docs: https://ai.google.dev/gemini-api/docs
This endpoint is suitable for unified text, tool calling, and reasoning output.

请求参数

Header 参数

Body 参数application/json必填

示例
{
    "model": "gpt-5",
    "input": "Summarize the main trade-offs between monolithic and microservice architectures."
}

请求示例代码

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
请求示例请求示例
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://api.ccapi.ai//v1/responses' \
--header 'Authorization: Bearer sk-xxxx' \
--header 'Content-Type: application/json' \
--data-raw '{
    "model": "gpt-5",
    "input": "Summarize the main trade-offs between monolithic and microservice architectures."
}'

返回响应

🟢200成功
application/json
Success
Body

示例
{
    "id": "resp_example",
    "object": "response",
    "model": "gpt-5",
    "status": "completed",
    "output": [
        {
            "type": "message",
            "role": "assistant",
            "content": [
                {
                    "type": "output_text",
                    "text": "Monolithic architecture is simpler to deploy but weaker in scaling and independent evolution; microservices are more flexible but have higher governance costs."
                }
            ]
        }
    ],
    "usage": {
        "input_tokens": 28,
        "output_tokens": 31,
        "total_tokens": 59
    }
}
🟠401未认证
修改于 2026-03-16 07:39:06
上一页
Create Chat Completion
下一页
Generate Content
Built with